import { object, array, string, mixed } from 'yup';
import { validateMultiaddr } from '../config/helpers.js';
export function debounce(func, wait) {
    let timeout;
    return function () {
        const later = function () {
            timeout = undefined;
            func();
        };
        clearTimeout(timeout);
        timeout = setTimeout(later, wait);
    };
}
export function validateAddressManagerConfig(opts) {
    return object({
        listen: array().of(string()).test('is multiaddr', validateMultiaddr).default([]),
        announce: array().of(string()).test('is multiaddr', validateMultiaddr).default([]),
        noAnnounce: array().of(string()).test('is multiaddr', validateMultiaddr).default([]),
        announceFilter: mixed().default(() => (addrs) => addrs)
    });
}
//# sourceMappingURL=utils.js.map